<?PHP
include('header.php');

if (!defined('beerman')) { exit();}
$res=mysql_fetch_assoc(mysql_query("SELECT username,avatar,taskreyt FROM b_users WHERE username='".$_SESSION["username"]."'"));
echo <<<BLOK
		 <span class='top-bl-s-verh'>Личные данные</span>
<div class='menucenter-top1'>
<table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr><td class='value1'>
Уважаемый пользователь! Будьте предельно внимательны при заполнении данных личного Профиля, 
особенно ваших электронных кошельков. К некоторым полям имеются подсказки. Воспользуйтесь ими, 
если в чём-либо сомневаетесь.
</td></tr>
</table>

<style>
.prof_ava {
text-align: left; font-size:14px; font-weight: bold; border-bottom: 1px solid #ddd; padding: 2px; margin: 3px 0 0; display: block; color: #FFF;
}
</style>
<table width="100%" border="0" style="padding: 5px;">
 <tbody><tr>
 <td width="10%" valign="top">
 <div id="edit_ava"> 
BLOK;
?>
 <img class="avatar" src="/avp/<?=$res["avatar"]; ?>" border="0" width="60" height="60" alt="avatar" />
<?
echo <<<BLOK
 </div>
 </td>
 <td align="left" valign="top" style="padding-top: 4px;">
 <div class="avatarchange">
 <b>Кликните по аватару, чтобы изменить его!</b><br>Картинка для аватара не должна превышать 100х100 пикселей, 
 иметь одинаковые пропорции и быть не более 64 килобайт. Принимаются картинки gif, jpg, jpeg, png. Все аватары 
 будут приведены к размерам 60х60 пикселей.<br />
 После загрузки обновите страницу!!!
 </div><br /><div id="imgload"></div>
<div id="status" ></div>
 </td>
 </tr>
 </tbody></table>
BLOK;
?>
<?
$cod = mysql_result(mysql_query("SELECT `cod` FROM `b_users` WHERE `username`='".$_SESSION["username"]."'"),0);
$tel = mysql_result(mysql_query("SELECT `number` FROM `b_users` WHERE `username`='".$_SESSION["username"]."'"),0);
?>


<div id="information"></div>
 <table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0'>
  <thead>
   <tr>
    <th align='center' width='51%' nowrap='nowrap'>Параметр</th>
    <th align='center' nowrap='nowrap'>Значение</th>
    <th></th>
   </tr>
  </thead>
  <tbody>
   <tr>
    <td nowrap='nowrap'>Логин для входа и главный e-mail</td>
    <td class='value'><?=$byme["email"]; ?></td><td class='service'></td>
    </tr>
   <tr>
    <td>Моё имя</td>
    <td class="value"><?=$_SESSION["username"]; ?></td>
    <td class="service"></td>
   </tr>
   <?PHP if($cod !=0 AND $tel !=0) { ?>
   <tr>
    <td>Ваш номер телефона</td>
    <td class="value"><input class="val" value="<?=$tel ?>" <?PHP if($tel) echo "disabled";?> name="phone"></td>
    <td class="service"><span class="hint-quest1"></span></td>
   </tr>
   <? } ?>
   <tr>
    <td>Мой род деятельности</td>
    <td class="value">
     <select class="val" id="ask_proff" onchange="activities(); return false;">
      <option value="0" <? if($doing==0) echo "selected"; ?>>Выбор...</option>
      <option value="1" <? if($doing==1) echo "selected"; ?>>Учусь в школе</option>
      <option value="2" <? if($doing==2) echo "selected"; ?>>Студент</option>
      <option value="3" <? if($doing==3) echo "selected"; ?>>Предприниматель</option>
      <option value="4" <? if($doing==4) echo "selected"; ?>>Работник на предприятии</option>
      <option value="5" <? if($doing==5) echo "selected"; ?>>Служащий на предприятии</option>
      <option value="6" <? if($doing==6) echo "selected"; ?>>Не имею основного места работы</option>
     </select>
    </td>
    <td class="service"><span id="hint8" class="hint-quest"></span></td>
   </tr>
   <tr>
    <td>Моё семейное положение</td>
    <td class="value">
     <select class="val" id="ask_family" onchange="family(); return false;">
      <option value="0" <? if($family==0) echo "selected"; ?>>Выбор...</option>
      <option value="1" <? if($family==1) echo "selected"; ?>>Женат/замужем, есть дети</option>
      <option value="2" <? if($family==2) echo "selected"; ?>>Женат/замужем, нет детей</option>
      <option value="3" <? if($family==3) echo "selected"; ?>>Не женат/не замужем, есть дети</option>
      <option value="4" <? if($family==4) echo "selected"; ?>>Не женат/не замужем, нет детей</option>
      <option value="5" <? if($family==5) echo "selected"; ?>>Разведён/разведена, есть дети</option>
      <option value="6" <? if($family==6) echo "selected"; ?>>Разведён/разведена, нет детей</option>
     </select>
    </td>
    <td class="service"><span id="hint7" class="hint-quest"></span></td>
   </tr>
   <tr>
    <td>Расположение таймера при просмотре</td>
    <td class="value">
     <select class="val" id="ask_vibor" onchange="vibor1(); return false;">
	  <option value="0" <? if($vibor==0) echo "selected"; ?>>Выбор...</option>
      <option value="1" <? if($vibor==1) echo "selected"; ?>>Показывать снизу</option>
      <option value="2" <? if($vibor==2) echo "selected"; ?>>Показывать сверху</option>
     </select>
    </td>
    <td class="service"><span id="hint9" class="hint-quest"></span></td>
   </tr>
   <tr>
   <td>Моё местонахождение</td>
   <td class="value">
   <?PHP if($_SERVER["REMOTE_ADDR"] == "127.0.0.1" OR $country == NULL){$country = "ru";} ?>
     <img src='/images/flags/<?=$country; ?>.png' style='margin: 3px 6px 0px 0;' /><font color='#C15F24'>(<?=$country ?>)</font>
		</td>
    <td class="service"></td>
   </tr>
       <tr>
   <td colspan="2">Позволить другим пользователям отправлять мне личные сообщения</td>
    <td class="service">
    <?php
    if($maccess == 1) {
    echo '<a href="javascript:void(0);" onclick="cng_ls(0);"><img src="/img/mail_off.png" border="0" /></a>';
    }else{
    echo '<a href="javascript:void(0);" onclick="cng_ls(1);"><img src="/img/mail_on.png" border="0" /></a>';
    }
    ?>
    </td>
   </tr>
  </tbody>
 </table>

 <table class='profile432' width='100%' border='0' cellpadding='0' cellspacing='0'>
  <thead>
   <tr>
   <th align='center' width="23px;"></th>
    <th align='center' width='44%' nowrap='nowrap'>Название</th>
    <th align='center' nowrap='nowrap'>Номер</th>
    <th></th>
   </tr>
  </thead>
  <tbody>
<?PHP
if($wm_out == 1){
if(MY_WMID){ ?>
   <tr>
   <td><center><a href="http://www.webmoney.ru/" target="_blank" rel="nofollow"><img src="/png/wmlogo.png" border="0"></a></center></td>
    <td nowrap="nowrap">WMID в системе WebMoney</td>
    <td class="value"><input class="val" type="text" size="30" maxlength="12" style="text-transform: uppercase;" value="<?=MY_WMID ?>" disabled /></td>
    <td class="service">
<?PHP
echo "<span id='wm_att' onclick='wm_att();'>".wm_atestat($byme["wm_att"])."</span>";
?>
    </td>
   </tr>
<?PHP } ?>
    <tr>
	<td><center><a href="http://www.webmoney.ru/" target="_blank" rel="nofollow"><img src="/png/wmlogo.png" border="0"></a></center></td>
    <td nowrap="nowrap">Счёт в системе WebMoney (WM<?=$siteval ?>)</td>
    <td class="value"><input class="val" type="text" id="ask_wm" size="30" maxlength="13" style="text-transform: uppercase;" value="<?=MY_WM_PURSE ?>" <?PHP if(MY_WM_PURSE) echo "disabled";?>/></td>
    <td class="service"><?PHP if(!MY_WM_PURSE) { ?><span id="save1" class="save_purse" title="Сохранить кошелёк" onclick="save_purse('wm')"></span><? } ?></td>
   </tr>
<?PHP }
if($qw_out == 1){
?>
   <tr>
    <td><a href="https://qiwi.com/" target="_blank" rel="nofollow"><img src="/png/qwlogo.png" border="0"></a></center></td>
    <td nowrap="nowrap">Счёт в системе QiWi</td>
    <td class="value"><input class="val" type="text" id="ask_qw" size="30" maxlength="20" style="text-transform: uppercase;" value="<?=MY_QW_PURSE ?>" <?PHP if(MY_QW_PURSE) echo "disabled";?>/></td>
    <td class="service"><?PHP if(!MY_QW_PURSE) { ?><span id="save2" class="save_purse" title="Сохранить кошелёк" onclick="save_purse('qw')"></span><? } ?></td>
   </tr>
<?PHP }
if($ym_out == 1){
?>
   <tr>
    <td><center><a href="http://www.yandex.ru/" target="_blank" rel="nofollow"><img src="/png/ydlogo.png" border="0"></a></center></td>
    <td nowrap="nowrap">Счёт в системе YandexMoney</td>
    <td class="value"><input class="val" type="text" id="ask_ym" size="30" maxlength="16" style="text-transform: uppercase;" value="<?=MY_YM_PURSE ?>" <?PHP if(MY_YM_PURSE) echo "disabled";?>/></td>
    <td class="service"><?PHP if(!MY_YM_PURSE) { ?><span id="save3" class="save_purse" title="Сохранить кошелёк" onclick="save_purse('ym')"></span><? } ?></td>
   </tr>
<?PHP }
if($lp_out == 1){
?>
   <tr>
    <td nowrap="nowrap">Счёт в системе <noindex><a href="https://www.liqpay.com/" target="_blank" rel="nofollow">LiqPay</a></noindex></td>
    <td class="value"><input class="val" type="text" id="ask_lp" size="30" maxlength="20" style="text-transform: uppercase;" value="<?=MY_LP_PURSE?>" <?PHP if(MY_LP_PURSE) echo "disabled";?>/></td>
    <td class="service"><?PHP if(!MY_LP_PURSE) { ?><span id="save4" class="save_purse" title="Сохранить кошелёк" onclick="save_purse('lp')"></span><? } ?></td>
   </tr>
<?PHP }
if($pm_out == 1){
?>
   <tr>
   <td><center><a href="https://perfectmoney.com/" target="_blank" rel="nofollow"><img src="/png/pmlogo.png" border="0"></a></center></td>
    <td nowrap="nowrap">Счёт в системе PerfectMoney</td>
    <td class="value"><input class="val" type="text" id="ask_pm" size="30" maxlength="20" style="text-transform: uppercase;" value="<?=MY_PM_PURSE ?>" <?PHP if(MY_PM_PURSE) echo "disabled";?>/></td>
    <td class="service"><?PHP if(!MY_PM_PURSE) { ?><span id="save5" class="save_purse" title="Сохранить кошелёк" onclick="save_purse('pm')"></span><? } ?></td>
   </tr>
<?PHP }
if($py_out == 1){
?>
   <tr>
   <td><center><a href="http://payeer.com/" target="_blank" rel="nofollow"><img src="/png/palogo.png" border="0"></a></center></td>
    <td nowrap="nowrap">Счёт в системе Payeer</td>
    <td class="value"><input class="val" type="text" id="ask_py" size="30" maxlength="20" style="text-transform: uppercase;" value="<?=MY_PY_PURSE ?>" <?PHP if(MY_PY_PURSE) echo "disabled";?>/></td>
    <td class="service"><?PHP if(!MY_PY_PURSE) { ?><span id="save6" class="save_purse" title="Сохранить кошелёк" onclick="save_purse('py')"></span><? } ?></td>
   </tr>
<?PHP } ?>
  </tbody>
 </table>

 <table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0'>
  <thead>
   <tr>
    <th align='center' width='51%' nowrap='nowrap'>Параметр</th>
    <th align='center' nowrap='nowrap'>Значение</th>
    <th></th>
   </tr>
  </thead>
  <tbody>
   <tr>
    <td>Новый пароль для входа (если нужно)</td>
    <td class="value"><input class="val" type="password" id="ask_passw" size="20" maxlength="20" value="" /></td>
    <td class="service"></td>
   </tr>
   <tr>
    <td>Подтверждение пароля</td>
    <td class="value"><input class="val" type="password" id="ask_cpass" size="20" maxlength="20" value="" /></td>
    <td class="service"></td>
   </tr>
  </tbody>
 </table>

<div class='centerbtn'><center><a class="button-green" onclick="chenge_pass();" />Изменить пароль</a></center></div><br />

<? 
echo "<script>parent.document.getElementById('_out').innerHTML = '";

include_once "smsc_api.php";

if ($_POST["sendsms"]) { 
    $r = send_sms($_POST["phone"], ok_code($_POST["phone"])); 

    if ($r[1] > 0) 
        echo "Код подтверждения отправлен на номер ".$_POST["phone"]; 
}

if ($_POST["ok"]) {
    $oc = ok_code($_POST["phone"]);
    if ($oc == $_POST["code"]){
		
$result = mysql_query("SELECT `number` FROM `b_users` WHERE `number` = '".$_POST["phone"]."'") or die(mysql_error());
if (mysql_num_rows($result) == 0) {
$vremy = time();
$referer = mysql_result(mysql_query("SELECT `referer` FROM `b_users` WHERE `username`='".$_SESSION["username"]."'"),0,0);
mysql_query("UPDATE `b_users` SET `cod`='$oc',`reyting`=`reyting`+'11',`skidka`='15',`vremy`='$vremy',`number`='".$_POST["phone"]."' WHERE `username`='".$_SESSION["username"]."' AND `cod`=0") or die(mysql_error());
mysql_query("UPDATE `b_users` SET `reyting`=`reyting`+'1' WHERE `id`='$referer'") or die(mysql_error());

$kon1 = mysql_query("SELECT * FROM `b_comp` WHERE `type`='1'") or die(mysql_error()); 
if(mysql_num_rows($kon1) > 0){
while($kon2 = mysql_fetch_array($kon1)){
if(time() > $kon2["startdate"] && time() < $kon2["enddate"]){
$kon3 = mysql_query("SELECT * FROM `b_compdata` WHERE `idk`='".$kon2["id"]."' AND `id_user`='$referer'") or die(mysql_error()); 
if(mysql_num_rows($kon3) > 0){
$kon3 = mysql_fetch_assoc($kon3);
mysql_query("UPDATE `b_compdata` SET `resvalue`=`resvalue`+'1' WHERE `id`='".$kon3["id"]."'") or die(mysql_error());
}else{
mysql_query("INSERT INTO `b_compdata` (`idk`,`id_user`,`resvalue`) VALUES ('".$kon2["id"]."','$referer','1')") or die(mysql_error());
}
}
}
}
echo "<script type='text/javascript'>location.replace('/editprofile.php');</script>
<noscript>
<meta http-equiv='refresh' content='0; url=/editprofile.php'>
</noscript>";
}else{
echo 'Номер уже используется';
}
}else{
echo "Неверный код подтверждения";
}
}
echo "'</script>";

function ok_code($s) {
    return hexdec(substr(md5($s."<секретная строка>"), 7, 5));
}
?><?PHP if($cod ==0) { ?>
<form method="post" action="editprofile.php" target="ifr">
 <table class='profile' width='100%' border='0' cellpadding='0' cellspacing='0'>
  <thead>
   <tr>
    <th align='center' width='51%' nowrap='nowrap'>Параметр</th>
    <th align='center' nowrap='nowrap'>Значение</th>
    <th></th>
   </tr>
  </thead>
  <tbody>
   <tr>
    <td>Ваш номер телефона</td>
    <td class="value"><input class="val" value="+" name="phone"></td>
    <td class="service"><input class='button-flat-green' type="submit" name="sendsms" value="Выслать код"></td>
   </tr>
   <tr>
    <td>Полученный в SMS код</td>
    <td class="value"><input class="val" name="code" size="6"></td>
    <td class="service" id="_out"></td>
   </tr>

   </tbody>
 </table><center><input class="button-green" type="submit" name="ok" value="Подтвердить"></center></form>
<iframe name="ifr" frameborder="0" height="0" width="0" style="visibility:hidden"></iframe>


<? } ?>
<script type="text/javascript" src="/js/jquery.simpletip-1.3.1.pack.js"></script>
<script type="text/javascript" src="/js/ajaxupload.3.5.js"></script>
<script>
var progress = false;

function hidemsg(){ $('#information').fadeOut('slow'); $("#information").attr("style", ""); if(tm)clearTimeout(tm);}
function activities() { 
if(!progress){
$.ajax({ 
type: "POST", 
url: "ajax/profile.php", 
data: { 'func' : 'activities', 'ask_proff' : $.trim($('#ask_proff').val()) },
beforeSend: function(){ progress = true; $('#information').html('').attr("style", ""); },
success: function(data) {
$("#information").html(data); tm = setTimeout(function() { hidemsg() }, 3000);
}
});
}
}

function family() { 
if(!progress){
$.ajax({ 
type: "POST", 
url: "ajax/profile.php", 
data: { 'func' : 'family', 'ask_family' : $.trim($('#ask_family').val()) },
beforeSend: function(){ progress = true; $('#information').html('').attr("style", ""); },
success: function(data) {
$("#information").html(data); tm = setTimeout(function() { hidemsg() }, 3000);
}
});
}
}

function vibor1() { 
if(!progress){
$.ajax({ 
type: "POST", 
url: "ajax/profile.php", 
data: { 'func' : 'vibor1', 'ask_vibor' : $.trim($('#ask_vibor').val()) },
beforeSend: function(){ progress = true; $('#information').html('').attr("style", ""); },
success: function(data) {
$("#information").html(data); tm = setTimeout(function() { hidemsg() }, 3000);
}
});
}
}

function save_purse(sys){
if(!progress){
var purse_us;
var pay_sys_t;
var ask_wm = $.trim($('#ask_wm').val());
var ask_qw = $.trim($('#ask_qw').val());
var ask_ym = $.trim($('#ask_ym').val());
var ask_lp = $.trim($('#ask_lp').val());
var ask_pm = $.trim($('#ask_pm').val());
var ask_py = $.trim($('#ask_py').val());

if(sys == "wm") { purse_us = ask_wm; pay_sys_t = "WebMoney"; }
else if(sys == "qw"){ purse_us = ask_qw; pay_sys_t = "QiWi"; }
else if(sys == "ym"){ purse_us = ask_ym; pay_sys_t = "YandexMoney"; }
else if(sys == "lp"){ purse_us = ask_lp; pay_sys_t = "LiqPay"; }
else if(sys == "pm"){ purse_us = ask_pm; pay_sys_t = "PerfectMoney"; }
else if(sys == "py"){ purse_us = ask_py; pay_sys_t = "Payeer"; }
else{ return false; }
if(sys == ''){ $("#information").html("<?=$infsterr?>Вы не указали платёжную систему.<?=$infederr?>");tm = setTimeout(function() { hidemsg() }, 3000); return false; }
else if(purse_us == ''){ $("#information").html("<?=$infsterr?>Вы не указали Счёт (кошелька).<?=$infederr?>");tm = setTimeout(function() { hidemsg() }, 3000); return false; }
else{
$.ajax({
type: "POST",url: "ajax/profile.php", data: { 'func' : 'add_purse', 'sys' : sys, 'purse_us' : purse_us },
beforeSend: function(){ progress = true; $('#information').html('').attr("style", ""); },
success: function(data) {
if(data == 1){ $("#information").html("<?=$infsterr?>Кошелёк платёжной системы "+pay_sys_t+" указан не верно.<?=$infederr?>"); tm = setTimeout(function() { hidemsg() }, 3000); }
else if(data == 2){ $("#information").html("<?=$infsterr?>Кошелёк "+purse_us+" уже есть в базе.<?=$infederr?>"); tm = setTimeout(function() { hidemsg() }, 3000); }
else if(data == 3){ $("#information").html("<?=$infsterr?>Указаный кошелёк принадлежит к WMID который уже есть в базе.<?=$infederr?>"); tm = setTimeout(function() { hidemsg() }, 3000); }
else if(data == 4){ $("#information").html("<?=$infsterr?>У Вас уже заполнен кошелёк "+pay_sys_t+".<?=$infederr?>"); tm = setTimeout(function() { hidemsg() }, 3000); }
else if(data == 0){ alert("Платёжные реквизиты успешно изменены"); document.location.href = "/editprofile.php"; }
else{ $("#information").html("<?=$infsterr?>"+data+"<?=$infederr?>"); tm = setTimeout(function() { hidemsg() }, 3000); }
progress = false;
}
});
return false;
}
}
}

function chenge_pass() {
if(!progress){
$.ajax({ 
type: "POST", 
url: "ajax/profile.php", 
data: { 'func' : 'chenge_pass', 'ask_passw' : $.trim($('#ask_passw').val()), 'ask_cpass' : $.trim($('#ask_cpass').val()) },
beforeSend: function(){ progress = true; $('#information').html('').attr("style", ""); },
success: function(data) {
$("#information").html(data); tm = setTimeout(function() { hidemsg() }, 3000);
}
});
}
}

function cng_ls(check) {
if(!progress){
$.ajax({ 
type: "POST", 
url: "ajax/profile.php", 
data: { 'func' : 'mails', 'ch_pmenabled' : check},
beforeSend: function(){ progress = true; $('#information').html('').attr("style", ""); },
success: function(data) {
location.replace('/editprofile.php');
}
});
}
}

function wm_att() {
if(!progress){
$.ajax({ 
type: "POST", 
url: "ajax/profile.php", 
data: { 'func' : 'get_att'},
beforeSend: function(){ progress = true; },
success: function(data) {
if(data != ''){
$('#wm_att').html(data).show('slow');
}
}
});
}
}

// Загружаем файл
$(function(){
var btnUpload=$('#edit_ava');
var status=$('#status');
new AjaxUpload(btnUpload, {
action: 'ajax/profile.php',
name: 'avatar',
onSubmit: function(file, ext){
if (! (ext && /^(jpg|png|jpeg|gif)$/.test(ext))){
status.text('Поддерживаемые форматы JPG, PNG или GIF');
return false;
}
status.text("");
},
onComplete: function(file, response){
status.text('');
if(response === "success"){
document.location.href = "/editprofile.php";
}else{
$("#imgload").html(response);
$("#imgload").fadeIn(3500).fadeOut(3500, function(){$(this).remove()});
}
}
});
});

$(document).ready(function(){
$("#hint7").simpletip({
fixed: true, position: ["-502", "-20"], focus: false,
content: 'Этот пункт всегда можно изменить если ваше семейное положение изменится'
});
$("#hint8").simpletip({
fixed: true, position: ["-502", "-20"], focus: false,
content: 'Этот пункт всегда можно изменить если ваш род деятельности изменится'
});
$("#hint9").simpletip({
fixed: true, position: ["-502", "-20"], focus: false,
content: 'По умолчанию показывается снизу! Этот пункт всегда можно изменить.'
});
});
            
function hideavblock() {
if (document.getElementById('avchange').style.display == 'none') {
document.getElementById('avchange').style.display = '';
} else {
document.getElementById('avchange').style.display = 'none';
}
return false;
}
</script></div>
<?PHP include('footer.php');?>